<div class="responsible">
    <div class="title d-flex align-items-center">
        <span class="material-symbols-outlined pointer" (click)="onBack()">
            navigate_before
        </span>
        <small> {{type == 'boundarie' ? 'พื้นที่ของหน่ายงานที่รับผิดชอบ' :'สถานที่ที่ได้รับผลกระทบ'}}</small>
    </div>
    <div>

    </div>

    <div class="filter d-flex align-items-center">
        <small class="ml-3 mr-3">รัศมี</small>
        <mat-slider style="width: 65%;" min="0" max="50" step="1" discrete>
            <input matSliderThumb [(ngModel)]="radius" (ngModelChange)="onInputStart($event)"
                (dragEnd)="onInputChange()">
        </mat-slider>

        <mat-form-field class="ml-3" appearance="outline" style="width: 15%;">
            <input matInput placeholder=" " type="number" [(ngModel)]="radius" min="0" max="50"
                (input)="onInputChange()">
        </mat-form-field>

        <small class="ml-3">กม.</small>

        <div class="result-count text-center">
            <small class="">ผลลัพธ์ {{filterList.length + locationFilterList.length}} รายการ</small>
        </div>
    </div>

    <div class="responsible-list" *ngIf="filterList.length > 0 || locationFilterList.length > 0">
        <div class="responsible-item pointer" *ngFor="let item of filterList" (click)="onGotoLocation(item)">
            <small>{{item.unitsth}}</small><br>
            <small>ตำบล {{item.tambonth}} อำเภอ {{item.amphoeth}} จังหวัด {{item.provinceth}}</small><br>
        </div>

        <div class="responsible-item pointer" *ngFor="let item of locationFilterList" (click)="onGotoLocation(item)">

            <div class="d-flex align-items-center">

                <img *ngIf="item.type == 'communities'" class="mr-4" src="../../../assets/image/home.svg">
                <img *ngIf="item.type == 'school'" class="mr-4" src="../../../assets/image/school.svg">
                <img *ngIf="item.type == 'hospital'" class="mr-4" src="../../../assets/image/hospital.svg">
                <img *ngIf="item.type == 'religion'" class="mr-4" src="../../../assets/image/religion-place.svg">

                <div>
                    <small>{{item.name}}</small><br>
                    <small>ตำบล {{item.tambonth}} อำเภอ {{item.amphoeth}} จังหวัด {{item.provinceth}}</small><br>
                    <small>{{item.unitsTH}}</small>
                </div>
            </div>

        </div>
    </div>

    <div class="d-flex justify-content-center" *ngIf="filterList.length == 0 && locationFilterList.length == 0">
        <div class="text-center">
            <br> <br> <br> <br>
            <span class="material-symbols-outlined" style="font-size: 50px; color: gray;">
                assignment
            </span>
            <div>
                ไม่มีรายการ
            </div>
        </div>
    </div>


</div>